Get single agent configuration

Base URL
https://{kibana_url}
  • GET /api/apm/settings/agent-configuration/view
Auth

Retrieve a single agent configuration matching the given service name and environment. You must have read privileges for the APM and User Experience feature in Kibana. If no matching configuration is found, the API returns a 404.

Query parameters

name string

Service name

Example: node
environment string

Service environment

Example: prod

Header parameters

elastic-api-version enum · default: 2023-10-31 required

The version of the API to use

Values: 2023-10-31

Responses

Successful response

application/json
id string required
@timestamp number required

Timestamp

agent_name string

Agent name

applied_by_agent boolean

Applied by agent

etag string required

etag is sent by the APM agent to indicate the etag of the last successfully applied configuration. If the etag matches an existing configuration its applied_by_agent property will be set to true. Every time a configuration is edited applied_by_agent is reset to false.

service object required

Service

environment string

The environment of the service.

name string

The name of the service.

settings map string to string required

Agent configuration settings

Bad Request response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Unauthorized response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Not found response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Base URL
https://{kibana_url}